Package com.google.android.exoplayer2.testutil

## Class Dumper

- java.lang.Object
- - com.google.android.exoplayer2.testutil.Dumper

-     public final class Dumper
      extends Object

  Helper utility to dump field values.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `Dumper.Dumpable` | Provides custom dump method.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Dumper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Dumper` | `add​(Dumper.Dumpable object)` |
    `Dumper` | `add​(String field, byte[] value)` |
    `Dumper` | `add​(String field, Object value)` |
    `Dumper` | `addTime​(String field, long time)` |
    `Dumper` | `endBlock()` |
    `Dumper` | `startBlock​(String name)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Dumper

          public Dumper()

  - ### Method Detail

    - #### add

          public Dumper add​(String field,
                            @Nullable
                            Object value)

    - #### add

          public Dumper add​(Dumper.Dumpable object)

    - #### add

          public Dumper add​(String field,
                            @Nullable
                            byte[] value)

    - #### addTime

          public Dumper addTime​(String field,
                                long time)

    - #### startBlock

          public Dumper startBlock​(String name)

    - #### endBlock

          public Dumper endBlock()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`